Bug 749099 - Review Request: pystache - Mustache for Python
Summary: Review Request: pystache - Mustache for Python
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Narasimhan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-26 07:30 UTC by Ankur Sinha (FranciscoD)
Modified: 2011-11-25 02:19 UTC (History)
4 users (show)

Fixed In Version: pystache-0.3.1-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-31 14:08:15 UTC
Type: ---
lakshminaras2002: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2011-10-26 07:30:22 UTC
Spec URL: http://ankursinha.fedorapeople.org/pystache/pystache.spec
SRPM URL: http://ankursinha.fedorapeople.org/pystache/pystache-0.3.1-1.fc16.src.rpm

Description: 
Inspired by ctemplate and et, Mustache is a framework-agnostic way to render
logic-free views.

As ctemplates says, "It emphasizes separating logic from presentation: it is
impossible to embed application logic in this template language."

Pystache is a Python implementation of Mustache. It has been tested with Python
2.6.1.

Comment 1 Narasimhan 2011-10-30 07:14:19 UTC
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint  -i pystache-0.3.1-1.fc16.src.rpm pystache-0.3.1-1.fc16.noarch.rpm  ../pystache.spec 
pystache.src: W: spelling-error %description -l en_US ctemplate -> template, c template, Templar
The value of this tag appears to be misspelled. Please double-check.

pystache.src: W: spelling-error %description -l en_US et -> ET, wt, rt
The value of this tag appears to be misspelled. Please double-check.

pystache.src: W: spelling-error %description -l en_US ctemplates -> templates, c templates, template's
The value of this tag appears to be misspelled. Please double-check.

pystache.noarch: W: spelling-error %description -l en_US ctemplate -> template, c template, Templar
The value of this tag appears to be misspelled. Please double-check.

pystache.noarch: W: spelling-error %description -l en_US et -> ET, wt, rt
The value of this tag appears to be misspelled. Please double-check.

pystache.noarch: W: spelling-error %description -l en_US ctemplates -> templates, c templates, template's
The value of this tag appears to be misspelled. Please double-check.

2 packages and 1 specfiles checked; 0 errors, 6 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming - Yes
        Version-release - Matches
        License - OK, MIT. No license file is included. Also, the source file do not mention the license at the beginning
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - NONE

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
License is MIT
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
License file is not included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum pystache-0.3.1-1.fc16.src/pystache-0.3.1.tar.gz 
f37d4420f00039843f29a4900ff52131  pystache-0.3.1-1.fc16.src/pystache-0.3.1.tar.gz

md5sum pystache-0.3.1.tar.gz 
f37d4420f00039843f29a4900ff52131  pystache-0.3.1.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissable content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[NA]MUST: Header files must be in a -devel package.
[NA]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[-]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.
[-]SHOULD : If source files do not have license mentioned, the packager SHOULD query upstream.

Please request upstream to include a LICENSE file and also mention license at the beginning of each source file.

APPROVED.

Comment 2 Ankur Sinha (FranciscoD) 2011-10-31 12:41:39 UTC
New Package SCM Request
=======================
Package Name: pystache
Short Description: Mustache for python
Owners: ankursinha sundaram
Branches: f15 f16
InitialCC:

Comment 3 Gwyn Ciesla 2011-10-31 12:45:13 UTC
Git done (by process-git-requests).

Comment 4 Ankur Sinha (FranciscoD) 2011-10-31 14:08:15 UTC
Thank you Lakshmi and Jon. Built for rawhide. Closing :)

http://koji.fedoraproject.org/koji/taskinfo?taskID=3474865

Comment 5 Fedora Update System 2011-10-31 14:50:15 UTC
pystache-0.3.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pystache-0.3.1-1.fc15

Comment 6 Fedora Update System 2011-10-31 14:50:23 UTC
pystache-0.3.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pystache-0.3.1-1.fc16

Comment 7 Rahul Sundaram 2011-11-09 10:24:43 UTC
Package Change Request
======================
Package Name: pystache
New Branches: el6
Owners: sundaram pjp
InitialCC:

Comment 8 Gwyn Ciesla 2011-11-09 13:24:57 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2011-11-25 02:10:24 UTC
pystache-0.3.1-1.fc16 has been pushed to the Fedora 16 stable repository.

Comment 10 Fedora Update System 2011-11-25 02:19:24 UTC
pystache-0.3.1-1.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.